Bug 652543

Summary: Review Request: erlang-riak_client - Erlang client for Riak
Product: [Fedora] Fedora Reporter: Peter Lemenkov <lemenkov>
Component: Package ReviewAssignee: Michel Alexandre Salim <michel>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, michel, notting
Target Milestone: ---Flags: michel: fedora‑review+
tibbs: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: erlang-riak_client-1.1.0-1.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-03-13 08:12:49 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 638974, 639263    
Bug Blocks: 652629    

Description Peter Lemenkov 2010-11-12 02:21:05 EST
Spec URL: http://peter.fedorapeople.org/erlang-riak-client.spec
SRPM URL: http://peter.fedorapeople.org/erlang-riak-client-1.0.1-1.fc12.src.rpm
Description: Erlang client for Riak

This is one of the requirements for Riak itself. Can't be built right now due to missing rebar in repositories.
Comment 2 Peter Lemenkov 2010-11-29 07:47:47 EST
Still not ready due to constantly failing unit-tests and some other minor issues.
Comment 3 Peter Lemenkov 2011-01-22 09:24:36 EST
Ok, all unit-test are  fixed. The only issue left unresolved is two missing imported functions (seems like a leftover, but I'll take a closer look).

Anyway here is a version 1.0.2:

http://peter.fedorapeople.org/erlang-riak_client.spec
http://peter.fedorapeople.org/erlang-riak_client-1.0.2-1.fc12.src.rpm
Comment 4 Peter Lemenkov 2011-03-11 08:26:30 EST
It's ready for review now (I fixed all issues and all BuildRequires are available):

http://peter.fedorapeople.org/erlang-riak_client.spec
http://peter.fedorapeople.org/erlang-riak_client-1.1.0-1.fc15.src.rpm
Comment 5 Michel Alexandre Salim 2011-03-11 11:39:34 EST
Taking this review -- will look at it in a couple of hours.
Comment 6 Michel Alexandre Salim 2011-03-11 17:17:13 EST
Everything looks good -- APPROVED

* DONE Review [100%]
  - [X] Names [2/2]
    - [X] Package name
	  matches Erlang packaging convention
    - [X] Spec name
  - [X] Package version [2/2]
	http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Package_Versioning
      - [X] Version number
	    http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Version_Tag
      - [X] Release tag
	    http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Release_Tag
	    http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Pre-Release_packages
  - [X] Meets [[http://fedoraproject.org/wiki/Packaging/Guidelines][guidelines]]
  - [X] Source files match upstream
	67d75b7147181a5a1e31547cd017ffd5  basho-riak-erlang-client-riakc-1.1.0-0-gd2297bf.tar.gz
	67d75b7147181a5a1e31547cd017ffd5  /home/michel/rpmbuild/SOURCES/basho-riak-erlang-client-riakc-1.1.0-0-gd2297bf.tar.gz
  - [X] [[http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries][No bundled libraries]]
  - [X] License [4/4]
    - [X] License is Fedora-approved
    - [X] No licensing conflict
    - [X] License field accurate
    - [X] License included iff packaged by upstream
  - [X] rpmlint [2/2]
    - [X] on src.rpm
	  erlang-riak_client.src: W: invalid-url Source0: basho-riak-erlang-client-riakc-1.1.0-0-gd2297bf.tar.gz
	  1 packages and 0 specfiles checked; 0 errors, 1 warnings.

	  harmless; spectool does not know how to handle download redirect's effect on
	  filenames

    - [X] on x86_64.rpm
	  erlang-riak_client.x86_64: E: explicit-lib-dependency erlang-stdlib
	  erlang-riak_client.x86_64: E: no-binary
	  erlang-riak_client.x86_64: W: only-non-binary-in-usr-lib
	  1 packages and 0 specfiles checked; 2 errors, 1 warnings.

	  Unavoidable since there's no automatic dependency script for Erlang

  - [X] Language & locale [2/2]
    - [X] Spec in US English
    - [X] Spec legible
  - [X] Build [3/3]
    - [X] Koji results
	  http://koji.fedoraproject.org/koji/taskinfo?taskID=2905392
    - [X] BRs complete
    - [X] Directory ownership
  - [X] Spec inspection [8/8]
    - [X] No duplicate files
    - [X] File permissions
    - [X] Filenames must be UTF-8
    - [X] no BuildRoot ([[https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag][except if targeting EPEL5]])
    - [X] Has %clean section
	  note: can be dropped unless you're targeting EPEL as well
    - [X] %buildroot cleaned on %install
    - [X] Macro usage consistent
    - [X] Documentation [1/1]
      - [X] %doc files are non-essential
Comment 7 Peter Lemenkov 2011-03-12 00:35:07 EST
Great, thanks!
Comment 8 Peter Lemenkov 2011-03-12 00:39:49 EST
New Package SCM Request
=======================
Package Name: erlang-riak_client
Short Description: Erlang client for Riak
Owners: peter
Branches: f14 f15 el6
InitialCC:
Comment 9 Jason Tibbitts 2011-03-12 18:47:53 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2011-03-13 08:11:03 EDT
erlang-riak_client-1.1.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/erlang-riak_client-1.1.0-1.fc14
Comment 11 Fedora Update System 2011-03-13 08:11:11 EDT
erlang-riak_client-1.1.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/erlang-riak_client-1.1.0-1.el6
Comment 12 Fedora Update System 2011-03-13 08:11:18 EDT
erlang-riak_client-1.1.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/erlang-riak_client-1.1.0-1.fc15
Comment 13 Fedora Update System 2011-03-17 23:52:38 EDT
erlang-riak_client-1.1.0-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 14 Fedora Update System 2011-03-25 15:21:15 EDT
erlang-riak_client-1.1.0-1.fc14 has been pushed to the Fedora 14 stable repository.
Comment 15 Fedora Update System 2011-03-28 13:25:51 EDT
erlang-riak_client-1.1.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.